<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.xhtml"><span>All</span></a></li>
      <li><a href="functions_func.xhtml"><span>Functions</span></a></li>
      <li><a href="functions_vars.xhtml"><span>Variables</span></a></li>
      <li><a href="functions_enum.xhtml"><span>Enumerations</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.xhtml#index__"><span>_</span></a></li>
      <li><a href="functions_a.xhtml#index_a"><span>a</span></a></li>
      <li><a href="functions_b.xhtml#index_b"><span>b</span></a></li>
      <li><a href="functions_c.xhtml#index_c"><span>c</span></a></li>
      <li><a href="functions_d.xhtml#index_d"><span>d</span></a></li>
      <li><a href="functions_e.xhtml#index_e"><span>e</span></a></li>
      <li><a href="functions_f.xhtml#index_f"><span>f</span></a></li>
      <li><a href="functions_g.xhtml#index_g"><span>g</span></a></li>
      <li><a href="functions_h.xhtml#index_h"><span>h</span></a></li>
      <li><a href="functions_i.xhtml#index_i"><span>i</span></a></li>
      <li><a href="functions_k.xhtml#index_k"><span>k</span></a></li>
      <li><a href="functions_l.xhtml#index_l"><span>l</span></a></li>
      <li><a href="functions_m.xhtml#index_m"><span>m</span></a></li>
      <li><a href="functions_n.xhtml#index_n"><span>n</span></a></li>
      <li><a href="functions_o.xhtml#index_o"><span>o</span></a></li>
      <li><a href="functions_p.xhtml#index_p"><span>p</span></a></li>
      <li><a href="functions_q.xhtml#index_q"><span>q</span></a></li>
      <li class="current"><a href="functions_r.xhtml#index_r"><span>r</span></a></li>
      <li><a href="functions_s.xhtml#index_s"><span>s</span></a></li>
      <li><a href="functions_t.xhtml#index_t"><span>t</span></a></li>
      <li><a href="functions_u.xhtml#index_u"><span>u</span></a></li>
      <li><a href="functions_v.xhtml#index_v"><span>v</span></a></li>
      <li><a href="functions_w.xhtml#index_w"><span>w</span></a></li>
      <li><a href="functions_x.xhtml#index_x"><span>x</span></a></li>
      <li><a href="functions_y.xhtml#index_y"><span>y</span></a></li>
      <li><a href="functions_z.xhtml#index_z"><span>z</span></a></li>
      <li><a href="functions_0x7e.xhtml#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_r.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all struct and union fields with links to the structures/unions they belong to:</div>

<h3><a class="anchor" id="index_r"></a>- r -</h3><ul>
<li>range()
: <a class="el" href="classarm__compute_1_1_i_distribution1_d.xhtml#ac548d0ee88978d0ba481323aab25e46a">IDistribution1D</a>
</li>
<li>reset()
: <a class="el" href="classarm__compute_1_1_iterator.xhtml#a599f5025b7e6b8bfead740a88e56d5bc">Iterator</a>
, <a class="el" href="classarm__compute_1_1_n_e_min_max_kernel.xhtml#ad20897c5c8bd47f5d4005989bead0e55">NEMinMaxKernel</a>
</li>
<li>resize()
: <a class="el" href="classarm__compute_1_1_i_array.xhtml#ae21b0e95ded2dcfb5e62848ea0193828">IArray&lt; T &gt;</a>
</li>
<li>rgb
: <a class="el" href="classarm__compute_1_1_pixel_value.xhtml#afe42472c55e7e5df52b8aaca94d0fa7e">PixelValue</a>
</li>
<li>rgbx
: <a class="el" href="classarm__compute_1_1_pixel_value.xhtml#ac24a28b797176d8a1e73d27f64c058d2">PixelValue</a>
</li>
<li>right
: <a class="el" href="structarm__compute_1_1_border_size.xhtml#a78b0fed184c642b78f32fd34b228a5f9">BorderSize</a>
</li>
<li>round()
: <a class="el" href="classarm__compute_1_1_pad_stride_info.xhtml#a3d7de69b5d597f77362f3279c6ec1c44">PadStrideInfo</a>
</li>
<li>row_delim
: <a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#ab1a3e6cb2768124a6853f52bd0e10596">IOFormatInfo</a>
</li>
<li>run()
: <a class="el" href="classarm__compute_1_1_c_l_absolute_difference_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLAbsoluteDifferenceKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_arithmetic_addition_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLArithmeticAdditionKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_arithmetic_subtraction_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLArithmeticSubtractionKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_bitwise_and_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLBitwiseAndKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_bitwise_or_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLBitwiseOrKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_bitwise_xor_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLBitwiseXorKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_canny_edge.xhtml#a108972ffc2f5536ceee15428b2b130ad">CLCannyEdge</a>
, <a class="el" href="classarm__compute_1_1_c_l_channel_combine_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLChannelCombineKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_channel_extract_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLChannelExtractKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_col2_im_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLCol2ImKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_color_convert_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLColorConvertKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_convolution_layer.xhtml#ad1717410afd0be936c6213a63c8005fb">CLConvolutionLayer</a>
, <a class="el" href="classarm__compute_1_1_c_l_convolution_layer_weights_reshape_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLConvolutionLayerWeightsReshapeKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_convolution_rectangle_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLConvolutionRectangleKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_convolution_square.xhtml#ad1717410afd0be936c6213a63c8005fb">CLConvolutionSquare&lt; matrix_size &gt;</a>
, <a class="el" href="classarm__compute_1_1_c_l_copy_to_array_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLCopyToArrayKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_derivative_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLDerivativeKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_edge_non_max_suppression_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLEdgeNonMaxSuppressionKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_edge_trace_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLEdgeTraceKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_equalize_histogram.xhtml#ad1717410afd0be936c6213a63c8005fb">CLEqualizeHistogram</a>
, <a class="el" href="classarm__compute_1_1_c_l_fast_corners.xhtml#ad1717410afd0be936c6213a63c8005fb">CLFastCorners</a>
, <a class="el" href="classarm__compute_1_1_c_l_fast_corners_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLFastCornersKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_fill_border_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLFillBorderKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_fully_connected_layer.xhtml#ad1717410afd0be936c6213a63c8005fb">CLFullyConnectedLayer</a>
, <a class="el" href="classarm__compute_1_1_c_l_gaussian5x5.xhtml#ad1717410afd0be936c6213a63c8005fb">CLGaussian5x5</a>
, <a class="el" href="classarm__compute_1_1_c_l_gaussian_pyramid_half.xhtml#ad1717410afd0be936c6213a63c8005fb">CLGaussianPyramidHalf</a>
, <a class="el" href="classarm__compute_1_1_c_l_gaussian_pyramid_hor_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLGaussianPyramidHorKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_gaussian_pyramid_orb.xhtml#ad1717410afd0be936c6213a63c8005fb">CLGaussianPyramidOrb</a>
, <a class="el" href="classarm__compute_1_1_c_l_gaussian_pyramid_vert_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLGaussianPyramidVertKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_g_e_m_m.xhtml#ad1717410afd0be936c6213a63c8005fb">CLGEMM</a>
, <a class="el" href="classarm__compute_1_1_c_l_g_e_m_m_interleave4x4_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLGEMMInterleave4x4Kernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_g_e_m_m_lowp.xhtml#ad1717410afd0be936c6213a63c8005fb">CLGEMMLowp</a>
, <a class="el" href="classarm__compute_1_1_c_l_g_e_m_m_lowp_matrix_multiply_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLGEMMLowpMatrixMultiplyKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_g_e_m_m_matrix_accumulate_biases_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLGEMMMatrixAccumulateBiasesKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_g_e_m_m_matrix_addition_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLGEMMMatrixAdditionKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_g_e_m_m_matrix_multiply_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLGEMMMatrixMultiplyKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_gradient_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLGradientKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_harris_corners.xhtml#ad1717410afd0be936c6213a63c8005fb">CLHarrisCorners</a>
, <a class="el" href="classarm__compute_1_1_c_l_harris_score_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLHarrisScoreKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_histogram.xhtml#ad1717410afd0be936c6213a63c8005fb">CLHistogram</a>
, <a class="el" href="classarm__compute_1_1_c_l_histogram_border_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLHistogramBorderKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_histogram_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLHistogramKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_im2_col_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLIm2ColKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_integral_image.xhtml#ad1717410afd0be936c6213a63c8005fb">CLIntegralImage</a>
, <a class="el" href="classarm__compute_1_1_c_l_integral_image_vert_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLIntegralImageVertKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_laplacian_pyramid.xhtml#ad1717410afd0be936c6213a63c8005fb">CLLaplacianPyramid</a>
, <a class="el" href="classarm__compute_1_1_c_l_laplacian_reconstruct.xhtml#ad1717410afd0be936c6213a63c8005fb">CLLaplacianReconstruct</a>
, <a class="el" href="classarm__compute_1_1_c_l_l_k_tracker_finalize_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLLKTrackerFinalizeKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_l_k_tracker_init_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLLKTrackerInitKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_l_k_tracker_stage0_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLLKTrackerStage0Kernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_l_k_tracker_stage1_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLLKTrackerStage1Kernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_logits1_d_norm_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLLogits1DNormKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_logits1_d_shift_exp_sum_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLLogits1DShiftExpSumKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_magnitude_phase_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLMagnitudePhaseKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_mean_std_dev.xhtml#ad1717410afd0be936c6213a63c8005fb">CLMeanStdDev</a>
, <a class="el" href="classarm__compute_1_1_c_l_mean_std_dev_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLMeanStdDevKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_min_max_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLMinMaxKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_min_max_location.xhtml#ad1717410afd0be936c6213a63c8005fb">CLMinMaxLocation</a>
, <a class="el" href="classarm__compute_1_1_c_l_min_max_location_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLMinMaxLocationKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_normalization_layer.xhtml#ad1717410afd0be936c6213a63c8005fb">CLNormalizationLayer</a>
, <a class="el" href="classarm__compute_1_1_c_l_normalization_layer_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLNormalizationLayerKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_optical_flow.xhtml#ad1717410afd0be936c6213a63c8005fb">CLOpticalFlow</a>
, <a class="el" href="classarm__compute_1_1_c_l_pixel_wise_multiplication_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLPixelWiseMultiplicationKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_pooling_layer_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLPoolingLayerKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_remap_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLRemapKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_scharr3x3_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLScharr3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_sobel3x3_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLSobel3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_sobel5x5.xhtml#ad1717410afd0be936c6213a63c8005fb">CLSobel5x5</a>
, <a class="el" href="classarm__compute_1_1_c_l_sobel5x5_hor_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLSobel5x5HorKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_sobel5x5_vert_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLSobel5x5VertKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_sobel7x7.xhtml#ad1717410afd0be936c6213a63c8005fb">CLSobel7x7</a>
, <a class="el" href="classarm__compute_1_1_c_l_sobel7x7_hor_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLSobel7x7HorKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_sobel7x7_vert_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">CLSobel7x7VertKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_softmax_layer.xhtml#ad1717410afd0be936c6213a63c8005fb">CLSoftmaxLayer</a>
, <a class="el" href="classarm__compute_1_1_c_p_p_corner_candidates_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">CPPCornerCandidatesKernel</a>
, <a class="el" href="classarm__compute_1_1_c_p_p_sort_euclidean_distance_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">CPPSortEuclideanDistanceKernel</a>
, <a class="el" href="classarm__compute_1_1_i_c_l_kernel.xhtml#af6a174d47571f51f199ffc27ecc10f51">ICLKernel</a>
, <a class="el" href="classarm__compute_1_1_i_c_l_simple2_d_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">ICLSimple2DKernel</a>
, <a class="el" href="classarm__compute_1_1_i_c_l_simple3_d_kernel.xhtml#a493987e85723a8000eb26d1f00e2ad0e">ICLSimple3DKernel</a>
, <a class="el" href="classarm__compute_1_1_i_c_l_simple_function.xhtml#ab5fd6e96c07aaaed2747c7e16ed5951e">ICLSimpleFunction</a>
, <a class="el" href="classarm__compute_1_1_i_c_p_p_kernel.xhtml#a6f56c8bb44166634652b877d6eb7a9a2">ICPPKernel</a>
, <a class="el" href="classarm__compute_1_1_i_function.xhtml#a18954417d3124a8095783ea13dc6d00b">IFunction</a>
, <a class="el" href="classarm__compute_1_1_i_n_e_simple_function.xhtml#ab5fd6e96c07aaaed2747c7e16ed5951e">INESimpleFunction</a>
, <a class="el" href="classarm__compute_1_1_i_n_e_warp_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">INEWarpKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_absolute_difference_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEAbsoluteDifferenceKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_accumulate_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEAccumulateKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_accumulate_squared_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEAccumulateSquaredKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_accumulate_weighted_f_p16_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEAccumulateWeightedFP16Kernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_accumulate_weighted_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEAccumulateWeightedKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_activation_layer_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEActivationLayerKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_arithmetic_addition_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEArithmeticAdditionKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_arithmetic_subtraction_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEArithmeticSubtractionKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_bitwise_and_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEBitwiseAndKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_bitwise_not_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEBitwiseNotKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_bitwise_or_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEBitwiseOrKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_bitwise_xor_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEBitwiseXorKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_box3x3_f_p16_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEBox3x3FP16Kernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_box3x3_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEBox3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_canny_edge.xhtml#ad1717410afd0be936c6213a63c8005fb">NECannyEdge</a>
, <a class="el" href="classarm__compute_1_1_n_e_channel_combine_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEChannelCombineKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_channel_extract_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEChannelExtractKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_col2_im_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NECol2ImKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_color_convert_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEColorConvertKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_convolution5x5.xhtml#ad1717410afd0be936c6213a63c8005fb">NEConvolution5x5</a>
, <a class="el" href="classarm__compute_1_1_n_e_convolution7x7.xhtml#ad1717410afd0be936c6213a63c8005fb">NEConvolution7x7</a>
, <a class="el" href="classarm__compute_1_1_n_e_convolution9x9.xhtml#ad1717410afd0be936c6213a63c8005fb">NEConvolution9x9</a>
, <a class="el" href="classarm__compute_1_1_n_e_convolution_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEConvolutionKernel&lt; matrix_size &gt;</a>
, <a class="el" href="classarm__compute_1_1_n_e_convolution_layer.xhtml#ad1717410afd0be936c6213a63c8005fb">NEConvolutionLayer</a>
, <a class="el" href="classarm__compute_1_1_n_e_convolution_layer_weights_reshape_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEConvolutionLayerWeightsReshapeKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_convolution_rectangle_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEConvolutionRectangleKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_cumulative_distribution_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NECumulativeDistributionKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_depth_convert_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEDepthConvertKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_derivative.xhtml#ad1717410afd0be936c6213a63c8005fb">NEDerivative</a>
, <a class="el" href="classarm__compute_1_1_n_e_derivative_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEDerivativeKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_dilate_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEDilateKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_edge_non_max_suppression_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEEdgeNonMaxSuppressionKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_edge_trace_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEEdgeTraceKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_equalize_histogram.xhtml#ad1717410afd0be936c6213a63c8005fb">NEEqualizeHistogram</a>
, <a class="el" href="classarm__compute_1_1_n_e_erode_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEErodeKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_fast_corners.xhtml#ad1717410afd0be936c6213a63c8005fb">NEFastCorners</a>
, <a class="el" href="classarm__compute_1_1_n_e_fast_corners_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEFastCornersKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_fill_array_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEFillArrayKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_fill_border.xhtml#ad1717410afd0be936c6213a63c8005fb">NEFillBorder</a>
, <a class="el" href="classarm__compute_1_1_n_e_fill_border_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEFillBorderKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_fill_inner_border_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEFillInnerBorderKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_fully_connected_layer.xhtml#ad1717410afd0be936c6213a63c8005fb">NEFullyConnectedLayer</a>
, <a class="el" href="classarm__compute_1_1_n_e_gaussian3x3_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGaussian3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_gaussian5x5.xhtml#ad1717410afd0be936c6213a63c8005fb">NEGaussian5x5</a>
, <a class="el" href="classarm__compute_1_1_n_e_gaussian5x5_hor_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGaussian5x5HorKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_gaussian5x5_vert_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGaussian5x5VertKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_gaussian_pyramid_half.xhtml#ad1717410afd0be936c6213a63c8005fb">NEGaussianPyramidHalf</a>
, <a class="el" href="classarm__compute_1_1_n_e_gaussian_pyramid_hor_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGaussianPyramidHorKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_gaussian_pyramid_orb.xhtml#ad1717410afd0be936c6213a63c8005fb">NEGaussianPyramidOrb</a>
, <a class="el" href="classarm__compute_1_1_n_e_gaussian_pyramid_vert_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGaussianPyramidVertKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m.xhtml#ad1717410afd0be936c6213a63c8005fb">NEGEMM</a>
, <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_interleave4x4_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGEMMInterleave4x4Kernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_lowp.xhtml#ad1717410afd0be936c6213a63c8005fb">NEGEMMLowp</a>
, <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_lowp_matrix_multiply_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGEMMLowpMatrixMultiplyKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_matrix_accumulate_biases_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGEMMMatrixAccumulateBiasesKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_matrix_addition_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGEMMMatrixAdditionKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_matrix_multiply_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGEMMMatrixMultiplyKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_transpose1x_w_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGEMMTranspose1xWKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_gradient_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGradientKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_harris_corners.xhtml#ad1717410afd0be936c6213a63c8005fb">NEHarrisCorners</a>
, <a class="el" href="classarm__compute_1_1_n_e_harris_score_f_p16_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEHarrisScoreFP16Kernel&lt; block_size &gt;</a>
, <a class="el" href="classarm__compute_1_1_n_e_harris_score_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEHarrisScoreKernel&lt; block_size &gt;</a>
, <a class="el" href="classarm__compute_1_1_n_e_histogram.xhtml#ad1717410afd0be936c6213a63c8005fb">NEHistogram</a>
, <a class="el" href="classarm__compute_1_1_n_e_histogram_border_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEHistogramBorderKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_histogram_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEHistogramKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_h_o_g_block_normalization_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEHOGBlockNormalizationKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_h_o_g_descriptor.xhtml#ad1717410afd0be936c6213a63c8005fb">NEHOGDescriptor</a>
, <a class="el" href="classarm__compute_1_1_n_e_h_o_g_detector_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEHOGDetectorKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_h_o_g_gradient.xhtml#ad1717410afd0be936c6213a63c8005fb">NEHOGGradient</a>
, <a class="el" href="classarm__compute_1_1_n_e_h_o_g_multi_detection.xhtml#ad1717410afd0be936c6213a63c8005fb">NEHOGMultiDetection</a>
, <a class="el" href="classarm__compute_1_1_n_e_h_o_g_non_maxima_suppression_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEHOGNonMaximaSuppressionKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_h_o_g_orientation_binning_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEHOGOrientationBinningKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_im2_col_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEIm2ColKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_integral_image_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEIntegralImageKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_laplacian_pyramid.xhtml#ad1717410afd0be936c6213a63c8005fb">NELaplacianPyramid</a>
, <a class="el" href="classarm__compute_1_1_n_e_laplacian_reconstruct.xhtml#ad1717410afd0be936c6213a63c8005fb">NELaplacianReconstruct</a>
, <a class="el" href="classarm__compute_1_1_n_e_l_k_tracker_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NELKTrackerKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_logits1_d_max_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NELogits1DMaxKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_logits1_d_norm_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NELogits1DNormKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_logits1_d_shift_exp_sum_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NELogits1DShiftExpSumKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_magnitude_phase_f_p16_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEMagnitudePhaseFP16Kernel&lt; mag_type, phase_type &gt;</a>
, <a class="el" href="classarm__compute_1_1_n_e_magnitude_phase_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEMagnitudePhaseKernel&lt; mag_type, phase_type &gt;</a>
, <a class="el" href="classarm__compute_1_1_n_e_mean_std_dev.xhtml#ad1717410afd0be936c6213a63c8005fb">NEMeanStdDev</a>
, <a class="el" href="classarm__compute_1_1_n_e_mean_std_dev_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEMeanStdDevKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_median3x3_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEMedian3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_min_max_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEMinMaxKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_min_max_location.xhtml#ad1717410afd0be936c6213a63c8005fb">NEMinMaxLocation</a>
, <a class="el" href="classarm__compute_1_1_n_e_min_max_location_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEMinMaxLocationKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_non_linear_filter_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NENonLinearFilterKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_non_maxima_suppression3x3_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NENonMaximaSuppression3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_normalization_layer.xhtml#ad1717410afd0be936c6213a63c8005fb">NENormalizationLayer</a>
, <a class="el" href="classarm__compute_1_1_n_e_normalization_layer_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NENormalizationLayerKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_optical_flow.xhtml#ad1717410afd0be936c6213a63c8005fb">NEOpticalFlow</a>
, <a class="el" href="classarm__compute_1_1_n_e_pixel_wise_multiplication_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEPixelWiseMultiplicationKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_pooling_layer_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEPoolingLayerKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_remap_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NERemapKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_scale_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEScaleKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_scharr3x3_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEScharr3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_hor_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESeparableConvolutionHorKernel&lt; matrix_size &gt;</a>
, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_vert_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESeparableConvolutionVertKernel&lt; matrix_size &gt;</a>
, <a class="el" href="classarm__compute_1_1_n_e_sobel3x3_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESobel3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_sobel5x5.xhtml#ad1717410afd0be936c6213a63c8005fb">NESobel5x5</a>
, <a class="el" href="classarm__compute_1_1_n_e_sobel5x5_hor_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESobel5x5HorKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_sobel5x5_vert_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESobel5x5VertKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_sobel7x7.xhtml#ad1717410afd0be936c6213a63c8005fb">NESobel7x7</a>
, <a class="el" href="classarm__compute_1_1_n_e_sobel7x7_hor_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESobel7x7HorKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_sobel7x7_vert_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESobel7x7VertKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_softmax_layer.xhtml#ad1717410afd0be936c6213a63c8005fb">NESoftmaxLayer</a>
, <a class="el" href="classarm__compute_1_1_n_e_table_lookup_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NETableLookupKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_threshold_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEThresholdKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_transpose_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NETransposeKernel</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:11 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
